package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBSuppliesInWarehouse entity.
 */
public class TBSuppliesInWarehouseDTO implements Serializable {

    private Long id;

    private Double quantity;

    private String status;

    private String description;

    private String unit;

    private Instant createdDate;

    private Instant modifiedDate;

    private Instant deletedDate;

    private Long tbEntityId;

    private String tbEntityName;

    private String tbSuppliesName;

    private Long tbSuppliesId;

    private Long createdById;

    private Long modifiedById;

    private Long deletedById;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getQuantity() {
        return quantity;
    }

    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Instant getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Instant createdDate) {
        this.createdDate = createdDate;
    }

    public Instant getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Instant modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Instant getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(Instant deletedDate) {
        this.deletedDate = deletedDate;
    }

    public Long getTbEntityId() {
        return tbEntityId;
    }

    public void setTbEntityId(Long tbEntityId) {
        this.tbEntityId = tbEntityId;
    }

    public String getTbEntityName() {
        return tbEntityName;
    }

    public void setTbEntityName(String tbEntityName) {
        this.tbEntityName = tbEntityName;
    }

    public Long getTbSuppliesId() {
        return tbSuppliesId;
    }

    public void setTbSuppliesId(Long tBSuppliesId) {
        this.tbSuppliesId = tBSuppliesId;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long tBDetailUserId) {
        this.createdById = tBDetailUserId;
    }

    public Long getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(Long tBDetailUserId) {
        this.modifiedById = tBDetailUserId;
    }

    public Long getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(Long tBDetailUserId) {
        this.deletedById = tBDetailUserId;
    }

    public String getTbSuppliesName() {
        return tbSuppliesName;
    }

    public void setTbSuppliesName(String tbSuppliesName) {
        this.tbSuppliesName = tbSuppliesName;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBSuppliesInWarehouseDTO tBSuppliesInWarehouseDTO = (TBSuppliesInWarehouseDTO) o;
        if (tBSuppliesInWarehouseDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBSuppliesInWarehouseDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBSuppliesInWarehouseDTO{" +
            "id=" + getId() +
            ", quantity=" + getQuantity() +
            ", status='" + getStatus() + "'" +
            ", description='" + getDescription() + "'" +
            ", createdDate='" + getCreatedDate() + "'" +
            ", modifiedDate='" + getModifiedDate() + "'" +
            ", deletedDate='" + getDeletedDate() + "'" +
            ", tbEntity=" + getTbEntityId() +
            ", tbEntityName=" + getTbEntityName() +
            ", tbSupplies=" + getTbSuppliesId() +
            ", createdBy=" + getCreatedById() +
            ", modifiedBy=" + getModifiedById() +
            ", deletedBy=" + getDeletedById() +
            "}";
    }
}
